Skip to main content
GET
/
rest
/
positions
Get All Firm Positions
curl --request GET \
  --url https://api.exchange.fairx.net/rest/positions
import requests

url = "https://api.exchange.fairx.net/rest/positions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.exchange.fairx.net/rest/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "f81d4fae-7dec-11d0-a765-00a0c91e6bf6": {
    "firm_uuid": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
    "long_daily_contribution": 100,
    "long_daily_position_limit": 5000000,
    "long_real_contribution": 100,
    "long_real_position_limit": 5000000,
    "positions": {
      "BIPZ30": {
        "long_filled_daily_position": 0,
        "long_filled_real_position": 0,
        "long_initial_margin": 100,
        "long_working_position": 0,
        "short_filled_daily_position": 0,
        "short_filled_real_position": 0,
        "short_initial_margin": 100,
        "short_working_position": 0,
        "symbol": "BIPZ30",
        "total_futures_long_daily_dollar_amount": 0,
        "total_futures_long_real_dollar_amount": 0,
        "total_futures_short_daily_dollar_amount": 0,
        "total_futures_short_real_dollar_amount": 0
      }
    },
    "product_positions": {
      "BIP": {
        "long_daily_contribution": 100,
        "long_daily_position_limit": 10000,
        "long_real_contribution": 100,
        "long_real_position_limit": 15000,
        "product_code": "BIP",
        "short_daily_contribution": 50,
        "short_daily_position_limit": 15000,
        "short_real_contribution": 50,
        "short_real_position_limit": 20000,
        "trading_disabled": false
      }
    },
    "short_daily_contribution": 50,
    "short_daily_position_limit": 5000000,
    "short_real_contribution": 50,
    "short_real_position_limit": 5000000
  }
}

Query Parameters

expired_filter
string

Instrument filters: TWO_WEEKS(two weeks within expiry), NON_EXPIRED(not expired), IS_ACTIVE(not expired, and is currently trading)

Example:

"IS_ACTIVE"

Response

200 - application/json

Successfully retrieved positions

{key}
object